// Palette
$blue-dark: #304269;
$blue-light: #92DCE5;
$blue-lighter: #28ADE2;
$orange: #F3721F;
$white : #FFFFFF;

// Gray scale
$gray-dark: #656565;
$gray-light: #E8E8E8;
$gray-lightest: #EEEEEE;
$gray-row: #F7F7F7;

$left-width: 43vw;
$right-width: 52vw;

input:focus {
  outline: none;
}

button:focus {
  outline: none;
}

.ReactModal__Overlay {
  background-color: rgba(black, 0.5)!important;
}

.fade {
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  align-items: center;
  width: 70vw;
  height: 11vh;
  transition: all 0.8s ease;
  background: $gray-lightest;
  align-content: center;
  font-family: Arial, Helvetica, Tahoma, clean, sans-serif;
  color: $blue-dark;
  font-weight: bold;
  padding: 10px;
  border-radius: 8px;
  font-size: 18px;
}

.fade.fade-enter {
  background: rgba(#7588B1, 1);
  color: $white;
}

@mixin flex-common {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-content: center;
  align-items: center;
  flex-wrap: nowrap;
}

@mixin box-shadow {
  box-shadow: 0 1px 1px 0 rgba(0,0,0,.14),0 3px 1px -2px rgba(0,0,0,.2),0 1px 5px 0 rgba(0,0,0,.12);
}

@mixin flex-alt {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-content: center;
  align-items: center;
  flex-wrap: nowrap;
}

@mixin font {
  font-family: Arial, Helvetica, Tahoma, clean, sans-serif;
}

@mixin zero {
  padding: 0;
  margin: 0;
}

.pulse-content-loader {
  @include zero;
  width: 100vw;
  height: 90vh;
  overflow: hidden;
  @include flex-common;
  flex-direction: column;
  justify-content: space-around;
  }
